Part 3: Creating a sketch for a 3D model using Python and Autodesk Inventor API

Поделиться
HTML-код
  • Опубликовано: 26 окт 2024

Комментарии • 20

  • @adventurefilms
    @adventurefilms 5 месяцев назад +2

    Thank you so much for these videos, please keep it up, and please always explain more than you think you need to, most people skip over all this stuff, but for us noobs, this is valuable info!

    • @pythonautomationist24
      @pythonautomationist24  5 месяцев назад

      Thanks for the feedback. I am glad you found these videos helpful. More to come ! stay tuned!

    • @adventurefilms
      @adventurefilms 5 месяцев назад +1

      @@pythonautomationist24 Will all your tutorials be in Python, or will/can you do any in VB?

    • @pythonautomationist24
      @pythonautomationist24  5 месяцев назад

      In VB.net?
      Planning to a series in VB.net and C#

    • @adventurefilms
      @adventurefilms 5 месяцев назад

      @@pythonautomationist24 awesome!

  • @manohar287
    @manohar287 Год назад +3

    Good Explanation Brother... Keep Going 🎉

  • @myschored
    @myschored 11 месяцев назад +2

    Hi, Nice Job. Could you make a video about how to work with SheetMetalComponentDefinition?

    • @pythonautomationist24
      @pythonautomationist24  11 месяцев назад +2

      Cheers , I am glad you liked the video. Sure no problem I can add that to the list of videos.

    • @myschored
      @myschored 11 месяцев назад +1

      or just some snippet of code how to do it@@pythonautomationist24

    • @pythonautomationist24
      @pythonautomationist24  10 месяцев назад +1

      Hi I am having having a look at it at the moment. Will keep you posted

  • @stefanoza
    @stefanoza 7 месяцев назад +1

    Hi, very interesting videos and a very remakable work, I am new with almost new with inventor, I am facing with a complex animation, can i do with API?

    • @pythonautomationist24
      @pythonautomationist24  7 месяцев назад +1

      I am glad that these videos have been useful for you. Pretty much everything can be automated using python either with or without inventor API. This the biggest advantage of using python over other languages. Also it provides a great foundation to learn other languages such as C#, VB.net, etc

  • @MikhailTsarev
    @MikhailTsarev 10 месяцев назад +1

    Thank you so much for the video! Could you explain how to know exactly how to reference an object from the API table? I don't understand why they made the table so weird. According to it I should write like this:
    ...PartComponentDefinition.PlanarScetches.Add()
    but of course it doesn't work. And it's driving me crazy. Every time it's a mystery to me how to know what exactly to enter instead of what is specified in the table. For example, that you should not write "PartComponentDefinition" but just "ComponentDefinition" and so on.
    I hope I have described my problem clearly.

  • @Bluefox1978
    @Bluefox1978 6 месяцев назад +1

    First of all! What a disgrace that you don't have more subscribers or viewers on your channel. Your content is marvellous!!!
    I think you didn't pick the right starting point for your rectangular in you code. Just my guess why you were so of the mark with your dimensions. Apparently it has as default chosen the rectangular with the centerpoint.
    Are there any btw any good instruction books on how to learn this you can recommend other than learning Python?

    • @pythonautomationist24
      @pythonautomationist24  6 месяцев назад +1

      Thank you for this lovely feedback. I was busy with work and family and hence I couldn't focus on my channel. I have a wealth of experience that im willing to share.
      At 24:00 I choose a centre Point rectangle. This is just a gentle intro to the possibility of marrying python and inventor. There is a lot more we can do than this. I am going to put out regular content and create a group where we can bounce ideas with each other and create something amazing for other engineers. Please bear with me for a week or so and I will start the process. Please keep checking. Thanks once again

    • @Bluefox1978
      @Bluefox1978 6 месяцев назад +1

      @@pythonautomationist24 I see I totally missed out on that at 24:00. However I also noticed when I watched it again that you said that Inventor uses centimetre as measure that's not wrong as per say but as default if you don't use ANSI when you set up a sheet it's set to millimetres instead.
      Now to the code!
      When you write "sketch.Sketchlines.AddAsTwoPointCenteredRectangle(tg.CreatePoint2d(0,0),tg.CreatePoint2d(8,3)))" in line 24 and wonder why is it that it comes out with double the seize I was requesting?
      I think two things happen here
      1. Python wants centimetres
      2. Inventor says; Okay but I will convert it to millimetres despite my API says different
      To circumvent this could this be fixed by changing the code to this:
      sketch.Sketchlines.AddAsTwoPointCenteredRectangle(tg.CreatePoint2d(0,0),tg.CreatePoint2d(2/(8,3))))
      or this
      sketch.Sketchlines.AddAsTwoPointCenteredRectangle(tg.CreatePoint2d(0,0),tg.CreatePoint2d((8/2),(3/2))))
      And yes know the feeling with family soaking up your time… three kids keeps my schedule busy

    • @Bluefox1978
      @Bluefox1978 6 месяцев назад +1

      And yes I'm a complete noob when it comes to Python since I'm in the learning phase… just for the record!